unit chartmacfrm;

{$mode objfpc}{$H+}

interface

uses
 Classes, SysUtils, Forms, Controls, Graphics, Dialogs, StdCtrls, TAGraph,
 TASeries;

type

 { TfrmMain }

 TfrmMain = class(TForm)
  btnClose: TButton;
  btnRead: TButton;
  chMain: TChart;
  sData: TLineSeries;
  procedure btnCloseClick(Sender: TObject);
  procedure btnReadClick(Sender: TObject);
 private

 public

 end;

var
 frmMain: TfrmMain;

implementation

{$R *.frm}

{ TfrmMain }

procedure TfrmMain.btnCloseClick(Sender: TObject);
begin
 Close;
end;

procedure TfrmMain.btnReadClick(Sender: TObject);
var
    f: TextFile;
    x, y: Double;
begin
 AssignFile(f, 'data.dat');
 Reset(f);
 try
  while not EOF(f) do
   begin
    ReadLn(f, x, y);
    sData.AddXY(x, y, '', clRed);
   end;
 finally
  CloseFile(f);
 end;
end;

end.

